# Look up user

`GET /user.lookup`

## Description

Look up users in the account by email.

**Access:** Organization only.

**Required scopes:** `user:read` and `user:read.email`

---

**OpenAPI Spec:** [chat.json](https://developer.ro.am/chat.json)

## Authentication

```
Authorization: Bearer YOUR_API_KEY
```

## Parameters

| Name | In | Type | Required | Description |
|------|-----|------|----------|-------------|
| `email` | query | string | No |  |

## Responses

### 200 - User found

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `id` | TaggedUUID | Yes | The User ID |
| `name` | string | Yes | Display name of the user |
| `imageUrl` | string | No | URL of the user's profile image |
| `email` | string | No | Email address of the user (requires `user:read.email` scope) |
| `isAdmin` | boolean | No | Whether the user is an admin of the Roam |
| `jobTitle` | string | No | User's job title |
| `location` | string | No | User's location |
| `status` | "checkedIn" | "checkedOut" | No | User's current presence status. Only included when `expand=status` is requested and the `user:read.status` scope is granted. |

**TaggedUUID**:

A UUID prefixed by a tag identifying the specific type of object

#### Example Response

```json
{
  "id": "U-0cc74785-e31e-4403-aa5e-0cc7c1897e66",
  "name": "Alex Chen",
  "imageUrl": "https://ro.am/card-images/072b6fb4-e972-45eb-811d-70f541d114ab",
  "email": "alex.chen@example.com",
  "isAdmin": true,
  "jobTitle": "Software Engineer",
  "location": "San Francisco, CA"
}
```

### 400 - Bad request.

### 401 - Presented invalid authentication credentials.

### 404 - User not found.

### 405 - An unsupported method was requested.

### 500 - An internal error occured.

---

*Machine-readable API documentation.*
*Full documentation: https://developer.ro.am/docs/chat-api/user-lookup*
